## tdenetworkmanager-trinity 14.0.4

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdenetworkmanager )
set( TDENETWORKMANAGER_VERSION "0.9" )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( FindPkgConfig )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

if( NOT DBUS_SYS_DIR )
  set( DBUS_SYS_DIR ${SYSCONF_INSTALL_DIR}/dbus-1/system.d )
endif( )


##### optional stuff ############################

# option( WITH_LDAP "Enable LDAP support" OFF )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( tdenetworkmanager )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== tdenetworkmanager/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( doc )
add_subdirectory( pics )
add_subdirectory( src )
add_subdirectory( vpn-plugins )
# add_subdirectory( po )

install( FILES tdenetworkmanager.conf DESTINATION ${DBUS_SYS_DIR} )

=== tdenetworkmanager/doc/CMakeLists.txt ===
#################################################
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION tdenetworkmanager )

=== tdenetworkmanager/vpn-plugins/openvpn/src/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( -UQT_NO_ASCII_CAST )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/tdenetworkmanager/src
  ${CMAKE_SOURCE_DIR}/tdenetworkmanager/src/settings
  ${CMAKE_SOURCE_DIR}/tdenetworkmanager/src/configwidgets
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${DBUS_TQT_INCLUDE_DIRS}
  ${NM_UTIL_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### tdenetman_openvpn (module) ################

set( target tdenetman_openvpn )

set( ${target}_SRCS
  tdenetman-openvpn.cpp
  openvpnprop.ui
  openvpnauth.ui
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdeinit_kded-shared tdeinit_tdenetworkmanager-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:58:28 +0200

tdenetworkmanager-trinity (1:0.0-0ubuntu0) karmic; urgency=low

  * Initial release

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 10 Sep 2012 09:02:00 -0600

=== debian/control ===
Source: tdenetworkmanager-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: cdbs,
 debhelper (>= 7.0.50~),
 pkg-config,
 tdelibs14-trinity-dev,
 libiw-dev,
 libnl-3-dev | libnl-dev (>= 1.1),
 quilt,
 libtool, libltdl-dev, cmake
Standards-Version: 3.8.4
Homepage: http://www.trinitydesktop.org/

Package: network-manager-tde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.7.0)
Replaces: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
Breaks: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
Recommends: tdewalletmanager-trinity
Provides: tdenetworkmanager-trinity
Description: TDE systray applet for controlling networking [Trinity]
 Systray applet for controlling network connections managed by 
 a TDE network backend. It is mainly written for Trinity but also works for 
 other desktop environments like GNOME or Xfce.

## tdenetworkmanager-trinity 14.0.5

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:47:26 +0200

## tdenetworkmanager-trinity 14.0.6

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:48:33 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 Package: network-manager-tde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.7.0)
-Replaces: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
-Breaks: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
+Replaces: network-manager-kde-trinity (<< 4:14.0.0~)
+Breaks: network-manager-kde-trinity (<< 4:14.0.0~)
 Recommends: tdewalletmanager-trinity
 Provides: tdenetworkmanager-trinity
 Description: TDE systray applet for controlling networking [Trinity]

## tdenetworkmanager-trinity 14.0.8

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:56:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Build-Depends: cdbs,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  pkg-config,
  tdelibs14-trinity-dev,
  libiw-dev,
@@ -16,8 +16,8 @@
 Package: network-manager-tde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.7.0)
-Replaces: network-manager-kde-trinity (<< 4:14.0.0~)
-Breaks: network-manager-kde-trinity (<< 4:14.0.0~)
+Replaces: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
+Breaks: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
 Recommends: tdewalletmanager-trinity
 Provides: tdenetworkmanager-trinity
 Description: TDE systray applet for controlling networking [Trinity]

## tdenetworkmanager-trinity 14.0.9

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:17:34 +0200

## tdenetworkmanager-trinity 14.0.10

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tdenetworkmanager-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: cdbs,
  debhelper (>= 9~),
  pkg-config,
@@ -16,8 +16,8 @@
 Package: network-manager-tde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.7.0)
-Replaces: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
-Breaks: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
+Replaces: network-manager-kde-trinity (<< 4:14.0.0~)
+Breaks: network-manager-kde-trinity (<< 4:14.0.0~)
 Recommends: tdewalletmanager-trinity
 Provides: tdenetworkmanager-trinity
 Description: TDE systray applet for controlling networking [Trinity]

## tdenetworkmanager-trinity 14.0.11

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 16:45:50 +0200

## tdenetworkmanager-trinity 14.0.12

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:45 +0100

## tdenetworkmanager-trinity 14.0.13

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 12 Sep 2022 06:49:11 +0200

## tdenetworkmanager-trinity 14.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 ##### general package setup #####################
@@ -20,14 +20,23 @@
 
 ##### include essential cmake modules ###########
 
+include( FindPkgConfig          )
+include( CheckFunctionExists    )
+include( CheckSymbolExists      )
+include( CheckIncludeFile       )
+include( CheckLibraryExists     )
+include( CheckCSourceCompiles   )
 include( CheckCXXSourceCompiles )
-include( FindPkgConfig )
 
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths #######################
@@ -42,7 +51,21 @@
 
 ##### optional stuff ############################
 
+option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
+option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
+option( WITH_OPENVPN        "Enable openvpn support"                            ${WITH_ALL_OPTIONS} )
+option( WITH_PPTP           "Enable pptp support"                               ${WITH_ALL_OPTIONS} )
+option( WITH_VPNC           "Enable vpnc support"                               ${WITH_ALL_OPTIONS} )
+option( WITH_STRONGSWAN     "Enable strongswan support"                         ${WITH_ALL_OPTIONS} )
+
 # option( WITH_LDAP "Enable LDAP support" OFF )
+
+
+##### user requested modules ####################
+
+option( BUILD_ALL          "Build all"               OFF )
+option( BUILD_DOC          "Build documentation"     ${BUILD_ALL} )
+option( BUILD_TRANSLATIONS "Build translations"      ${BUILD_ALL} )
 
 
 ##### configure checks ##########################
@@ -52,18 +75,22 @@
 
 ###### global compiler settings #################
 
-add_definitions(
-  -DHAVE_CONFIG_H
-)
+add_definitions( -DHAVE_CONFIG_H )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
-set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
-set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )
 
 
 ##### source directories ########################
 
-add_subdirectory( tdenetworkmanager )
+add_subdirectory( ${PROJECT_NAME} )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files #####################

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tdenetworkmanager-trinity 14.1.1

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Aug 2023 10:31:53 +0200

## tdenetworkmanager-trinity 14.1.2

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:48 +0200

## tdenetworkmanager-trinity 14.1.3

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 12 Aug 2024 23:11:21 +0200

## tdenetworkmanager-trinity 14.1.4

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.1.4-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
Source: tdenetworkmanager-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt,
 tde-cmake, ninja-build,
 tdelibs14-trinity-dev,
 libiw-dev,
 libnl-3-dev | libnl-dev (>= 1.1)
Standards-Version: 3.8.4
Homepage: http://www.trinitydesktop.org/

Package: network-manager-tde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.7.0)
Replaces: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
Breaks: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
Recommends: tdewalletmanager-trinity
Provides: tdenetworkmanager-trinity
Description: TDE systray applet for controlling networking [Trinity]
 Systray applet for controlling network connections managed by 
 a TDE network backend. It is mainly written for Trinity but also works for 
 other desktop environments like GNOME or Xfce.

## tdenetworkmanager-trinity 14.1.5~pre0

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 18e57c5afd87a061e37616ca8f28fb49c65678b8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdenetworkmanager-trinity 14.1.5

=== tdenetworkmanager/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/tdenetworkmanager/icons )
tde_install_icons( tdenetworkmanager tdenetworkmanager_disabled )

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.1.5-0raspbian12.0.0+0) raspbian-bookworm; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 22:36:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt,
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt,
  tde-cmake, ninja-build,
  tdelibs14-trinity-dev,
  libiw-dev,
@@ -13,8 +13,8 @@
 Package: network-manager-tde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.7.0)
-Replaces: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
-Breaks: network-manager-kde-kde3 (<< 4:14.0.0~), network-manager-kde-trinity (<< 4:14.0.0~)
+Replaces: network-manager-kde-trinity (<< 4:14.0.0~)
+Breaks: network-manager-kde-trinity (<< 4:14.0.0~)
 Recommends: tdewalletmanager-trinity
 Provides: tdenetworkmanager-trinity
 Description: TDE systray applet for controlling networking [Trinity]

## tdenetworkmanager-trinity 14.1.6~pre0

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 24c5c10c0d3ddb9c4d44cba9556bb67d90c0064d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 22:36:54 +0100

## tdenetworkmanager-trinity 14.1.6~pre1

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.1.6~pre1-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 0f4e7ce1aa375ed4e62468f6ac9d605d60258228
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:00:00 +0100

## tdenetworkmanager-trinity 14.1.6~pre2

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 15ff6a69aaae2f059e35d0313fbca68b7dcbb10d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 22:32:11 +0100

## tdenetworkmanager-trinity 14.2.0~pre51

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.2.0~pre51-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 41d086f99f9419f18c79e96c320f2929fb34b623
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tdenetworkmanager-trinity 14.2.0~pre52

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 3.1 )
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 ##### general package setup #####################
@@ -32,11 +37,6 @@
 ##### include our cmake modules #################
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths #######################

=== tdenetworkmanager/CMakeLists.txt ===
--- 
+++ 
@@ -9,10 +9,13 @@
 #
 #################################################
 
-add_subdirectory( doc )
+
 add_subdirectory( pics )
-add_subdirectory( src )
+add_subdirectory( src  )
 add_subdirectory( vpn-plugins )
-# add_subdirectory( po )
 
-install( FILES tdenetworkmanager.conf DESTINATION ${DBUS_SYS_DIR} )
+
+install(
+    FILES tdenetworkmanager.conf
+    DESTINATION ${DBUS_SYS_DIR}
+)

=== tdenetworkmanager/vpn-plugins/strongswan/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( src )

tde_create_translated_desktop(
  SOURCE tdenetman_strongswan.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR "tdenetworkmanager-desktops"
)

=== tdenetworkmanager/vpn-plugins/vpnc/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( src )

tde_create_translated_desktop(
  SOURCE tdenetman_vpnc.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR "tdenetworkmanager-desktops"
)

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.2.0~pre52-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 0ca86a0cdb8bc8cfcedd9229025abca32c72588f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 15:16:35 +0100

## tdenetworkmanager-trinity 14.2.0~pre53

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.2.0~pre53-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 1541e016e787ec800741720898dbf8e45962730f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:04:38 +0100

## tdenetworkmanager-trinity 14.2.0~pre54

=== debian/changelog ===
tdenetworkmanager-trinity (4:14.2.0~pre54-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for dd19c5fa19a9bb9bc1b55cc0e707a6cdbd637435
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdenetworkmanager

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 19:51:20 +0100
